import 'package:aitrainer_app/util/env.dart';
import 'package:intl/intl.dart';

mixin Logging {
  void log(String message) {
    DateTime time = DateTime.now();
    print(DateFormat('yyyy-MM-dd HH:mm:ss ').format(time) + message);
  }

  void trace(String message) {
    String testEnv = EnvironmentConfig.test_env;
    if (testEnv == "1") {
      log(message);
    }
  }
}
